/*
	IPAddress
	IPアドレスを抽象化する

	Version		: 0.0 (Release1)

	作成日		: 2002/05/25 (Yuh)
	修正日		: ----/--/--
	改定履歴	: 
*/
#pragma once

#include <winsock2.h>

class CIPAddress  
{
public:
	CIPAddress();
	CIPAddress(in_addr other);
	CIPAddress(DWORD other);
	CIPAddress(CString other);
	virtual ~CIPAddress();

	//	代入
	void operator=(in_addr other);
	void operator=(CString other);
	void operator=(DWORD other);
	int SetIPByHostName(CString host);

	//	取得
	operator in_addr();
	operator CString();
	operator char*();
	operator DWORD();
	CString GetHostName();

	//	比較
	int operator==(CIPAddress other);
	int operator==(in_addr other);
	int operator==(CString other);
	//!	実行中のPCのアドレスを得る

	static CIPAddress GetLocalhost();

private:
	in_addr	m_ip;
};

